import 'package:flutter/material.dart';
import '../src/pages/articles_page.dart';
import '../src/pages/home_page.dart';
import '../src/pages/login_page.dart';

Map<String, WidgetBuilder> getApplicationRoutes() {
  return <String, WidgetBuilder>{
    'login': (context) => const LoginPage(),
    'home': (context) => const HomePage(),
    'articles': (context) => const ArticlesPage(),
  };
}
