import 'package:flutter/material.dart';

class LoginPage extends StatelessWidget {
  const LoginPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(

      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              // Logo
              Image.asset(
                'assets/img/logo_visorus.jpg',
                height: 100,
              ),
              const SizedBox(height: 20),
              // Campo de texto para usuario
              TextField(
                decoration: const InputDecoration(
                  labelText: 'Usuario',
                  border: OutlineInputBorder(),
                ),
              ),
              const SizedBox(height: 20),
              // Campo de texto para contraseña
              TextField(
                obscureText: true,
                decoration: const InputDecoration(
                  labelText: 'Contraseña',
                  border: OutlineInputBorder(),
                ),
              ),
              const SizedBox(height: 20),
              // Botón de "Acceder"
              ElevatedButton(
                onPressed: () {
                  Navigator.pushNamed(context, 'home');
                },
                child: const Text('Acceder'),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
